Bug 177100 - [maintainer] security/libgcrypt update to 1.5.1
Summary: [maintainer] security/libgcrypt update to 1.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-19 03:40 UTC by Hirohisa Yamaguchi
Modified: 2013-05-03 17:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.23 KB, patch)
2013-03-19 03:40 UTC, Hirohisa Yamaguchi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hirohisa Yamaguchi 2013-03-19 03:40:00 UTC
	The new version of security/libgcrypt 1.5.1 is available.
	Release announcement: http://lists.gnupg.org/pipermail/gnupg-announce/2013q1/000324.html

	Dependent ports:
		audio/ario
		audio/gogglesmm *
		audio/libmtp
		audio/pianobar
		comms/libimobiledevice *
		comms/qtel
		databases/drizzle
		databases/libgda4 *
		deskutils/chmsee *
		devel/gsoap *
		devel/gvfs
		devel/gwenhywfar
		devel/libsoup
		devel/libvirt
		devel/libzrtpcpp *
		devel/srecord *
		emulators/fuse *
		emulators/libspectrum *
		ftp/filezilla
		games/libggz *
		graphics/telak
		irc/bitlbee
		irc/inspircd
		irc/irssi-otr *
		irc/weechat
		irc/weechat-devel
		japanese/jd
		mail/claws-mail
		mail/libetpan
		mail/wmbiff
		mail/xfce4-mailwatch-plugin *
		misc/metalink-tools *
		multimedia/libaacs *
		multimedia/vlc
		net-im/climm
		net-im/jabber
		net-im/mcabber *
		net-mgmt/collectd
		net-mgmt/collectd5
		net-p2p/gnunet
		net-p2p/libktorrent
		net-p2p/ncdc
		net-p2p/retroshare
		net/afpfs-ng
		net/clamz *
		net/csync2 *
		net/cyphesis *
		net/glib-networking
		net/gtk-vnc
		net/librouteros
		net/libvncserver
		net/netatalk
		net/netatalk3
		net/quagga-re
		net/remmina *
		net/samba4
		net/wireshark
		news/nzbget
		print/cups-base
		security/dirmngr *
		security/fiked
		security/gnomint
		security/gnupg
		security/gsasl *
		security/libgnome-keyring *
		security/libotr
		security/libotr3
		security/libprelude
		security/libpreludedb
		security/libssh *
		security/libssh2
		security/opencdk *
		security/openvas-libnasl *
		security/openvas-libraries *
		security/openvpn-auth-radius *
		security/p5-Crypt-GCrypt *
		security/pidgin-otr
		security/pinentry *
		security/prelude-lml
		security/prelude-manager
		security/seahorse *
		security/seahorse-plugins *
		security/seccure *
		security/shishi
		security/vpnc *
		sysutils/freeipmi
		sysutils/fusefs-cryptofs *
		sysutils/rsyslog5-gnutls *
		sysutils/rsyslog6-devel-gnutls *
		sysutils/rsyslog6-gnutls *
		sysutils/rsyslog7 *
		textproc/libxslt
		www/chromium
		www/libmicrohttpd
	might need revision bump.
	# ports marked with ``*'' have SOVER specified, these need update.

Fix: The patch follows:

How-To-Repeat: 	N/A
Comment 1 Emanuel Haupt freebsd_committer 2013-05-03 13:12:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 2 dfilter service freebsd_committer 2013-05-03 17:35:32 UTC
Author: ehaupt
Date: Fri May  3 16:35:24 2013
New Revision: 317219
URL: http://svnweb.freebsd.org/changeset/ports/317219

Log:
  Update to 1.5.2
  
  Changelog:
  http://lists.gnupg.org/pipermail/gnupg-announce/2013q1/000324.html (1.5.1)
  http://lists.gnupg.org/pipermail/gnupg-announce/2013q2/000325.html (1.5.2)
  
  PR:             177100
  Submitted by:   Hirohisa Yamaguchi <umq@ueo.co.jp> (maintainer)

Deleted:
  head/security/libgcrypt/files/patch-src__gcrypt.h.in
Modified:
  head/security/libgcrypt/Makefile
  head/security/libgcrypt/distinfo
  head/security/libgcrypt/pkg-plist

Modified: head/security/libgcrypt/Makefile
==============================================================================
--- head/security/libgcrypt/Makefile	Fri May  3 16:34:25 2013	(r317218)
+++ head/security/libgcrypt/Makefile	Fri May  3 16:35:24 2013	(r317219)
@@ -1,12 +1,8 @@
-# New ports collection Makefile for:	libgcrypt
-# Date created:				July 17 2002
-# Whom:					Tilman Linneweh <arved@FreeBSD.org>
-#
+# Created by: Tilman Linneweh <arved@FreeBSD.org>
 # $FreeBSD$
 
 PORTNAME=	libgcrypt
-PORTVERSION=	1.5.0
-PORTREVISION=	1
+PORTVERSION=	1.5.2
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_GNUPG}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -27,9 +23,10 @@ GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	MAKEINFO="makeinfo --no-split"
 USE_LDCONFIG=	yes
 
-DOCS=	AUTHORS ChangeLog INSTALL NEWS README README.SVN \
-	THANKS TODO doc/HACKING doc/README.apichanges
-INFO=	gcrypt
+DOCS=		AUTHORS ChangeLog ChangeLog-2011 INSTALL NEWS README \
+		README.GIT THANKS TODO doc/HACKING doc/README.apichanges
+INFO=		gcrypt
+PORTDOCS=	*
 
 .include <bsd.port.pre.mk>
 
@@ -55,10 +52,13 @@ post-patch:
 pre-configure:
 	@${RM} -f ${WRKSRC}/doc/gcrypt.info*
 
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 post-install:
 	@${MKDIR} ${DOCSDIR}
 	cd ${WRKSRC} && ${INSTALL_DATA} ${DOCS} ${DOCSDIR}
 .endif
 
+regression-test: build
+	cd ${WRKSRC} && ${MAKE} check
+
 .include <bsd.port.post.mk>

Modified: head/security/libgcrypt/distinfo
==============================================================================
--- head/security/libgcrypt/distinfo	Fri May  3 16:34:25 2013	(r317218)
+++ head/security/libgcrypt/distinfo	Fri May  3 16:35:24 2013	(r317219)
@@ -1,2 +1,2 @@
-SHA256 (libgcrypt-1.5.0.tar.bz2) = 4b62fc516004940a0571025401a0581d49199f1a76dfb5ce6fd63f50db8173fa
-SIZE (libgcrypt-1.5.0.tar.bz2) = 1433506
+SHA256 (libgcrypt-1.5.2.tar.bz2) = e41a4339f50294f3c925f2f71aaf2427eb162d2994da91666dfc32621afe963f
+SIZE (libgcrypt-1.5.2.tar.bz2) = 1507418

Modified: head/security/libgcrypt/pkg-plist
==============================================================================
--- head/security/libgcrypt/pkg-plist	Fri May  3 16:34:25 2013	(r317218)
+++ head/security/libgcrypt/pkg-plist	Fri May  3 16:35:24 2013	(r317219)
@@ -6,16 +6,5 @@ include/gcrypt-module.h
 lib/libgcrypt.a
 lib/libgcrypt.la
 lib/libgcrypt.so
-lib/libgcrypt.so.18
+lib/libgcrypt.so.19
 share/aclocal/libgcrypt.m4
-%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
-%%PORTDOCS%%%%DOCSDIR%%/HACKING
-%%PORTDOCS%%%%DOCSDIR%%/INSTALL
-%%PORTDOCS%%%%DOCSDIR%%/NEWS
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/README.SVN
-%%PORTDOCS%%%%DOCSDIR%%/README.apichanges
-%%PORTDOCS%%%%DOCSDIR%%/THANKS
-%%PORTDOCS%%%%DOCSDIR%%/TODO
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Emanuel Haupt freebsd_committer 2013-05-03 17:37:03 UTC
State Changed
From-To: open->closed

Committed, thanks!